<template>
  <v-app :style="{ background: themeBackground }">
    <Header />
    <v-main>
      <v-container class="mt-6 pa-0">
        <NuxtPage />
      </v-container>
    </v-main>
    <v-footer :absolute="!fixed" app>
      <div class="d-flex align-center">
        Conçu et développé avec 💗 par la
        <a target="_blank" rel="noopener" href="https://beta.gouv.fr/startups/?incubateur=fabnumdef">
          <v-img width="100" contain alt="Logo Fabrique Numérique" src="/fabnum.svg">
          </v-img>
        </a>
      </div>
      <v-spacer></v-spacer>
      <span>&copy; {{ new Date().getFullYear() }}</span>
    </v-footer>
  </v-app>
</template>

<script setup lang="ts">
definePageMeta({
  meta: [
    {
      hid: 'robots',
      name: 'robots',
      content: 'noindex, nofollow'
    }
  ]
})
const fixed = ref(false);
const vuetify = useNuxtApp().$vuetify;

// TODO: put this logic into a composable
const themeBackground = computed(() => {
  const theme = vuetify.theme.current.value.dark ? 'dark' : 'light';
  return vuetify.theme.themes.value?.[theme].colors.background;
})
</script>

<style scoped>
.v-main {
  margin-bottom: 25px;
}
</style>
